/*
https://codepen.io/plenco/pen/vYdojKW
*/

.toast {
    background-color: var(--color-toast-bg);
    border-radius: 10px;
    bottom: 30px;
    color: var(--color-white);
    font-family: var(--font-body);
    font-size: 1rem;
    height: 50px;
    left: 0;
    margin: auto;
    max-width: 50px;
    /*margin-left: -125px;*/
    position: fixed;
    right:0;
    text-align: center;
    visibility: hidden;
    white-space: nowrap;
    z-index: 1;
}

.toast__icon{
    background-color: var(--color-toast-icon-bg);
    border-radius: 10px;
    color: var(--color-white);
    float: left;
    height: 50px;
    padding-bottom: 16px;
    padding-top: 16px;
    width: 50px;
}
.toast__description{
    color: var(--color-white);
    overflow: hidden;
    padding: 16px;
    user-select: none;
	white-space: nowrap;
}

.toast--visible {
    animation: fadein 0.5s, expand 0.5s 0.5s,stay 3s 1s, shrink 0.5s 4s, fadeout 0.5s 4.5s;
    visibility: visible;
}

@keyframes fadein {
    from {bottom: 0; opacity: 0;}
    to {bottom: 30px; opacity: 1;}
}

@keyframes expand {
    from {min-width: 50px}
    to {min-width: 240px}
}

@keyframes stay {
    from {min-width: 240px}
    to {min-width: 240px}
}

@keyframes shrink {
    from {min-width: 240px;} 
    to {min-width: 50px;}
}

@keyframes fadeout {
    from {bottom: 30px; opacity: 1;}
    to {bottom: 60px; opacity: 0;}
}